import { Component, OnInit } from '@angular/core';
import { OidcSecurityService } from 'angular-auth-oidc-client';
@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
})
export class AppComponent implements OnInit {
    public isAnonymous = false;
    public isAuthenticated = false;
    public token = null;
    public user_data = null;

    constructor(public oidcSecurityService: OidcSecurityService) {}

    ngOnInit() {
        this.oidcSecurityService.checkAuth().subscribe((isAuthenticated) => 
          {
            console.log('app authenticated', isAuthenticated);
            this.isAnonymous = !isAuthenticated;
            this.isAuthenticated = isAuthenticated;
            if(isAuthenticated)
            {
              this.token = this.oidcSecurityService.getToken();
              this.user_data = JSON.stringify(this.oidcSecurityService.userData$.source["_value"], null, 1);
            }
          }
        );
    }

    public login(): void {
      this.oidcSecurityService.authorize();
    }

    public logoff(): void {
      this.oidcSecurityService.logoff();
    }
}